[Help] Can not inject FBI with rxTools

Discussion in '3DS - Flashcards & Custom Firmwares' started by XyracX, Nov 5, 2015.

  1. XyracX
    OP

    XyracX Advanced Member

    Newcomer
    89
    9
    Nov 5, 2015
    Gambia, The
    I have the same problem here on my old 3DS 9.2.0-20U. Tried with the newest rxTools build and with the 2.6 Build, even with a build between those. Always the same result... On 2.6 there comes "Could not find H & S TMD / content" and with the newest one, if I only want to check the Version, it only says Region USA and nothing else. Also tried just to flash each of the 3 different versions in the injecting folder with hope, that one of them is the right one. But the Tool just say, that the H&S information is missing and nothing change within the H&S app.

    Have also updated my emuNAND to the newest Firmware, but no changes.

    Can anyone help ? And is it normal, that the rxTools say every time, that the installation is failed ?

    Are there any other ways, so I can skip this step maybe ?
     
    Last edited by XyracX, Nov 5, 2015
  2. XyracX
    OP

    XyracX Advanced Member

    Newcomer
    89
    9
    Nov 5, 2015
    Gambia, The
    Is bumping a Thread legit ? Anyway, nobody a clue ?
     
  3. ScottSmith

    ScottSmith Member

    Newcomer
    24
    1
    Mar 2, 2012
    I think i miss read the problem -removed- :D
     
    Last edited by ScottSmith, Nov 5, 2015
  4. Ruby Gloom

    Ruby Gloom GBAtemp Maniac

    Member
    1,553
    505
    Sep 25, 2015
    Dalvík, Iceland
    Bumping really won't do anything if no one posted before hand. Anyways;
    1: Updating will never solve a mod's problem.
    2: FBI injecting as far as I heard so far is patched (?) on 10.2.
    3: Try to temp. downgrade your FW on EmuNand.
     
  5. XyracX
    OP

    XyracX Advanced Member

    Newcomer
    89
    9
    Nov 5, 2015
    Gambia, The
    Thank you ! What is the fastest way to downgrade my emuNand ? Can I do it through the Gateway Loader or do I have to format and start from scratch ?
     
  6. Ruby Gloom

    Ruby Gloom GBAtemp Maniac

    Member
    1,553
    505
    Sep 25, 2015
    Dalvík, Iceland
    Go to a "ISO for 3DS" site, find the update files on there, boot up DevMode, and downgrade your SysNand. Then, format your EmuNand partition. Make sure you have a backup. It's a bit confusing. You should seek an actual tutorial, as I almost bricked it by not placing all the files in my update folder. I'll look for the TUT and link it in an edit.

    — Posts automatically merged - Please don't double post! —

    TUT to downgrade: https://gbatemp.net/threads/update-to-lower-emunand-or-downgrade-emunand.383054/ ( try this last. )
    FBI thread.:https://gbatemp.net/threads/release...ect-generator-jpn-usa-eur-chn-kor-twn.391525/ ( Try this first.)
     
  7. XyracX
    OP

    XyracX Advanced Member

    Newcomer
    89
    9
    Nov 5, 2015
    Gambia, The
    Thanks, this is the answer I was searching for :) First I just format my emuNand and try to inject it on 9.2 than, if this dont work, than I try to build it into the nand.bin and flash it.
     
  8. Ruby Gloom

    Ruby Gloom GBAtemp Maniac

    Member
    1,553
    505
    Sep 25, 2015
    Dalvík, Iceland
    I just want to make sure you read the whole second post. But, try the FBI thread first to see if you can find your answer. Then try to downgrade your EmuNand as it's a bit dangerous.
     
  9. XyracX
    OP

    XyracX Advanced Member

    Newcomer
    89
    9
    Nov 5, 2015
    Gambia, The
    Okay, then I try to read the version from the dump, I just thought, when its got blocked on 10.2 anyway, than I should downgrade directly. And why is it dangerous ? Isnt it all only on the SD Card ? Because my sysNand is untouched on 9.2
     
  10. Ruby Gloom

    Ruby Gloom GBAtemp Maniac

    Member
    1,553
    505
    Sep 25, 2015
    Dalvík, Iceland
    You need to downgrade your SysNand in the process. Which, if not done correctly, WILL brick your entire console. So, you need to be careful. Also, your SysNand is on the console. You brick it, you'll need to hard mod it.
     
  11. tivu100

    tivu100 GBAtemp Addict

    Member
    2,022
    438
    Jun 6, 2015
    United States
    Do you have a clean NAND back up? If you do, try to restore it and retry

    @Ruby Gloom. Why would you suggest him to downgrade (And using a long way: he can't Inject FBI. How would he install sysupdater if he doesn't have a working CIA installer)?

    If he wants to downgrade here is the video tutorial made by a member on here whom I forgot the username (Not recommend to downgrade nowadays though)



    (Download the files from gateway website, not from video description)
     
    Last edited by tivu100, Nov 5, 2015
  12. Ruby Gloom

    Ruby Gloom GBAtemp Maniac

    Member
    1,553
    505
    Sep 25, 2015
    Dalvík, Iceland
    Oops... I didn't think about that... :/ I feel like an idiot now... This is why I shouldn't help people, I make it worse! XD
     
  13. tivu100

    tivu100 GBAtemp Addict

    Member
    2,022
    438
    Jun 6, 2015
    United States
    OP, where were you trying to inject FBI to? SYSNAND or EMUNAND, please provide the firmware version of each NAND.

    Are you starting new on your EMUNAND? Or Do you have anything you want to keep on your EMUNANDin case you need to reformat/recreate EMUNAND?

    When you inject FBI, where did you copy the FBI_inject.app and FBI_injection.tmd files to? root of sd, or inside a folder or you copied the whole folder?
     
    Last edited by tivu100, Nov 5, 2015
  14. XyracX
    OP

    XyracX Advanced Member

    Newcomer
    89
    9
    Nov 5, 2015
    Gambia, The
    I wanted to inject it to emuNand (10.2). My sysNand is on 9.2. Just got that Nand Backup, what I made at the start of the tutorial that i followed. With Gateway Launcher.

    Well there is nothing important on my emuNand, so starting from new, yes. Nothing to backup.

    When I tried to inject, I copied all files into the root (fbi_inject.app, fbi_inject.tmd & FBI.cia) all in root. The problem was, that rxTools doesnt show any version of my H&S app, only the Region.

    I have created a nand.bin witch the injected files inside (see the tutorial link above) but how can I import / flash it on my emuNand again ?
     
    Last edited by XyracX, Nov 5, 2015
  15. tivu100

    tivu100 GBAtemp Addict

    Member
    2,022
    438
    Jun 6, 2015
    United States
    If you want to start new EMUNAND, here is what ho to install FBI (not inject FBI which you can't do):

    1. Copy the boot.3dsx downloaded from http://smealum.github.io/3ds/ onto root of sd card.
    2. Download latest FBI build https://gbatemp.net/threads/release-fbi-open-source-cia-installer.386433/ .Copy the "3ds" folder from the FBI zip onto root of SD. Also put FBI.cia on the root of SD
    3. Dowload the PastaCFW files : http://jheberg.net/captcha/pastacfw-for-ninjhax2-90-92/ . Copy the PastaCFW folder into the "3ds" folder 0n SD.
    4. Setup Browserhax : https://gbatemp.net/threads/yellows8s-browserhax-thread.398132/
    5. Launch the HBL with browserhax.
    6. Choose the PastaCFW
    7. Once you're back in the 3DS home menu(actually you are now in Pasta CFW mode), immediatly start the HBL again
    8. This time, choose FBI.
    9. Install FBI.cia. (make sure you fixed database: create dbs folder, import.db, title.db :Q: I'm getting a "DESCRIPTION_DATABASE_DOES_NOT_EXIST" / "DESCRIPTION_INVALID_DATABASE" error!
    A: You likely haven't installed anything from eShop or other locations before. You will need to go to the "Nintendo 3DS/<id0>/<id1>/dbs/" directory on your SD card and create empty "title.db" and "import.db" files. Then, go to System Settings -> Data Management -> Nintendo 3DS -> Software on your 3DS and let it repair the database files. https://gbatemp.net/threads/release-fbi-open-source-cia-installer.386433/
    )
    10. Copy Nintendo 3DS folder to your PC.
    11. Format EMUNAND ( put GW launcher.dat on root of SD-> go on go-gateway-3ds.com on browser ->format EMUNAND). When done, Push down + B to turn off the 3DS. Then Eject SD.
    12. Unlink NANDs by "Format system memory" on sysnand when SD is ejected.
    13. Copy Nintendo 3DS folder (step 10) from your PC back onto SD (merge/overwrite folder if needed). Reconfigure your SYSNAND and install rxTools. Your should now have FBI on your EMUNAND.
     
    Last edited by tivu100, Nov 5, 2015
  16. XyracX
    OP

    XyracX Advanced Member

    Newcomer
    89
    9
    Nov 5, 2015
    Gambia, The
    Okay, I will try this out. But can you help me, to flash my injected rebuildet nand.bin ? Maybe it will work with it. How can I flash it into my emuNand ?
     
  17. tivu100

    tivu100 GBAtemp Addict

    Member
    2,022
    438
    Jun 6, 2015
    United States
    If you want to inject a modified NAND as EMUNAND, use this tool https://gbatemp.net/threads/release-3ds-multi-emunand-creator.381603/ :

    Put the SD into your PC-> Choose inject EMUNAND-> Select the NAND.bin you want to inject. (If you don't have an EMUNAND, then you have to use the create EMUNAND option -> then select the NAND.bin you want to use so as to create the EMUNAND).
     
    Last edited by tivu100, Nov 5, 2015
  18. Ruby Gloom

    Ruby Gloom GBAtemp Maniac

    Member
    1,553
    505
    Sep 25, 2015
    Dalvík, Iceland
    See, now this is helpful. I was steering them in the completely wrong direction! XD Sorry, man.
     
  19. XyracX
    OP

    XyracX Advanced Member

    Newcomer
    89
    9
    Nov 5, 2015
    Gambia, The
    I've made a mistake during building the new nand.bin with injected files. As in the tutorial was required, I took the "nand.fat16.xorpad" and the nand.bin file but the nand.bin was false one, that from 9.2 sysNand. So I have now 9.2 as emuNand and H&S not working (I think because wrong nand.bin was taken to rebuild) But the good thing is, rxTools now showing me the version of H&S, so I think I can flash it the normal ways now.

    Just one question, are there good arguments to upgrade to 10.2 again and try to multinand another injected rebuilded backup ? Can anyone confirm this works on 10.2 ? Or is it not a big disadvantage just to stay with 9.2 on emuNand.
     
  20. tivu100

    tivu100 GBAtemp Addict

    Member
    2,022
    438
    Jun 6, 2015
    United States
    Why not update EMUNAND to 10.2? Everyone uses EMUNAND so they can update to latest firmware so they can experience the latest firmware feature. if not people should have just used PASTA CFW on sysnand!

    I don't have experience with MultiNAND so can't help you there.

    Side Note: Themehax/Menuhax/Homemenuhax doesn't support linked NANDs with different firmware (linked NANDs on the same firmware work). Therefore if after you update EMUNAND and themehax stops working, unlink your NANDs.
     
    Last edited by tivu100, Nov 5, 2015